# Class ShadeAxisKit

java.lang.Object
uk.ac.starlink.ttools.plot2.ShadeAxisKit

public class ShadeAxisKit extends Object
Aggregates information required for generating an Aux colour axis.

Since:
  19 Jul 2023
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ShadeAxisKit()`
Constructs a ShadeAxisKit with null members.
`ShadeAxisKit(ShadeAxisFactory axisFact, Span fixSpan, Subrange subrange)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ShadeAxisFactory`
`getAxisFactory()`
Returns the shade axis factory which determines most of the characteristics of the axis and its scaling.
`Span`
`getFixSpan()`
Returns an object supplying one or both data bounds for the axis if provided (typically user-supplied).
`Subrange`
`getSubrange()`
Returns a subrange to be applied to the fixed or automatically-determined data range.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShadeAxisKit

public ShadeAxisKit(ShadeAxisFactory axisFact, Span fixSpan, Subrange subrange)
Constructor.

Parameters:
  `axisFact` - shade axis factory
  `fixSpan` - fixed (typically user-supplied) values bounding the axis range; one or both bounds may be NaN or the value itself may be null for full/partial auto-ranging
  `subrange` - subrange to be applied to the specified or automatic data range; may be null for default behaviour

### ShadeAxisKit

public ShadeAxisKit()
Constructs a ShadeAxisKit with null members.

## Method Details

### getAxisFactory

public ShadeAxisFactory getAxisFactory()
Returns the shade axis factory which determines most of the characteristics of the axis and its scaling.

Returns:
  shade axis factory

### getFixSpan

public Span getFixSpan()
Returns an object supplying one or both data bounds for the axis if provided (typically user-supplied). Either or both bounds may be NaN, or the result itself may be null, to indicate full or partial auto-ranging.

Returns:
  fixed span, or null

### getSubrange

public Subrange getSubrange()
Returns a subrange to be applied to the fixed or automatically-determined data range. May be null for default behaviour (full range).

Returns:
  subrange, or null